Subject: RE: Wade through the archives (was Re: another renumbering questi on)

From: [email-masked]
Date: Tue, 20 Feb 2001 10:40:14 -0600

paul,

I am confused too.  I always thought of it as 16bits?????
also for the api that is an "identifier" not the site-id.  Like le0 for
interface.

/jim

> -----Original Message-----
> From: ext Paul Francis [mailto:[email-masked]]
> Sent: Tuesday,February 20,2001 11:04 AM
> To: Brian Haberman
> Cc: ipng
> Subject: Re: Wade through the archives (was Re: another renumbering
> question)
> 
> 
> >
> > The definition of what a site ID would be was intentionally 
> undefined.
> > That is, a site ID was supposed to be implementation dependent.
> > However, we found in developing the APIs and the InetAddress TC that
> > we needed something a little more concrete.  Now, the site ID is,
> > in essence, a 32-bit integer.
> 
> Heh!  When I first read this last sentence, I thought "I 
> didn't know it was
> that clearly defined", went off to RFC2373 to check it out, 
> but once again
> found no concept of site ID.  So I looked again at your 
> paragraph and saw
> that you are talking about the API.  I didn't realize that there was a
> notion of site ID in the API, so my apologies for using that term
> incorrectly.  I picked it up from one of Deering's recent 
> messages, not
> realizing its specific meaning.  (Even having read through some of the
> archives, I didn't catch that the term site id refered to a 
> number that
> crosses the API.)
> 
> [..... time elapsed as I look at the API documents to check 
> up on this ....]
> 
> Well, I looket at the latest versions of RFCs 2553 and 2292, 
> and I still
> don't see anything about a well-defined 32-bit site id.
> 
> RFC2253 says:
> 
> "The mapping of sin6_scope_id to an interface or set of 
> interfaces is left
> to implementation and future specifications on the subject of site
> identifiers."
> 
> and RFC2292, in a section labeled "Open issues" says:
> 
> "What about site names and site ids?  Need for interfaces to 
> map?   Requires
> that site-prefixes pass name - does name need to use DNS 
> format to handle
> character sets?"
> 
> 
> So I remain more confused than ever.  Could you please tell 
> me where I can
> read about 32-bit site IDs, and after I've read up I'll try 
> to address your
> comments.
> 
> Thanks,
> 
> PF
> 
> 
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
> 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: "Brian Haberman" <[email-masked]>
Date: Tue, 20 Feb 2001 11:52:02 -0500

I based my comments more on the definition of the InetAddress TC found
in RFC 2851.  The InetAddressIPv6 definition explicitly defines the
scope identifier as a 4 byte value.  My comments about the API came
from the discussions we had in creating RFC 2851.

Regards,
Brian